import React, {useState} from 'react'; 


function GroceryList () { 
    const [list, setList] = useState([])
    const [item, setItem] = useState("")
    const [check, setCheck] = useState([])

    const updateItem = (e) => setItem(e.target.value); 

    const handleSubmit = () => { 
        const newList = [...list, item]
        setList(newList)
    }

    const handleCheck = (e) => { 
        let checkedItems = [...check];
        if (e.target.checked) { 
            checkedItems= [...check, e.target.value]; 
        } else { 
            checkedItems.splice(check.indexOf(e.target.value), 1)
        }

        setCheck(checkedItems)
    }



    console.log("LIST     ", list)
    console.log(item)
    console.log(check)

    return (
        <div>
            <h1>Grocery List</h1>
        
                <input type="text" placeholder="Input" value={item} onChange={updateItem}  >
                </input>

                <button onClick={handleSubmit} type="submit">Add Item</button>
    
            <div>
                {list.map((item, idx) => (
                    <div key={idx}>
                        <input type="checkbox" value={item} onChange={handleCheck} />
                        <p style={{textDecoration: check.includes(item) ? "line-through" : "none"}}>{item}</p>
                    </div>

                ))}
            </div>
        </div>
    )
}

export default GroceryList;